Skip to navigation

Update Lease

Available by Request

Update an existing lease agreement. This endpoint allows you to modify lease terms, rent amounts, and dates.

This endpoint is part of our evolving API ecosystem. To explore availability for your integration, please contact our team.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

leaseIdstringRequiredformat: "uuid"
The id of the lease

Request

This endpoint expects an object.
move_in_datedatetimeOptional

The move-in date in ISO 8601 format

lease_termdoubleOptional1-100
The lease term in months
lease_start_datedatetimeOptional
The lease start date in ISO 8601 format
lease_end_datedatetimeOptional

The lease end date in ISO 8601 format (must be after start date)

Response

Lease updated successfully
successbooleanOptional
leaseIdstringOptionalformat: "uuid"
dataobjectOptional